#include <nrfx_spim.h>
#include <nrfx_spis.h>
// #include <nrfx_log.h>

#define NRFX_LOG_MODULE                 EXAMPLE
#define NRFX_EXAMPLE_CONFIG_LOG_ENABLED 1
#define NRFX_EXAMPLE_CONFIG_LOG_LEVEL   3

#define LOOPBACK_PIN_1A 4
#define LOOPBACK_PIN_1B 26
#define LOOPBACK_PIN_2A 5
#define LOOPBACK_PIN_2B 25
#define LOOPBACK_PIN_3A 6
#define LOOPBACK_PIN_3B 7
#define LOOPBACK_PIN_4A 34
#define LOOPBACK_PIN_4B 35
#define ANALOG_INPUT_A0 0
#define ANALOG_INPUT_A1 1
#define ANALOG_INPUT_A2 2
#define LED1_PIN        28
#define LED2_PIN        29
#define LED3_PIN        30
#define LED4_PIN        31

/** @brief Symbol specifying SPIM instance to be used. */
#define SPIM_INST_IDX 1

/** @brief Symbol specifying SPIS instance to be used. */
#define SPIS_INST_IDX 2

/** @brief Symbol specifying master's pin number for MOSI. */
#define MOSI_PIN_MASTER LOOPBACK_PIN_1A

/** @brief Symbol specifying slave's pin number for MOSI. */
#define MOSI_PIN_SLAVE LOOPBACK_PIN_1B

/** @brief Symbol specifying master's pin number for MISO. */
#define MISO_PIN_MASTER LOOPBACK_PIN_2A

/** @brief Symbol specifying slave's pin number for MISO. */
#define MISO_PIN_SLAVE LOOPBACK_PIN_2B

/** @brief Symbol specifying master's pin number for SCK. */
#define SCK_PIN_MASTER LOOPBACK_PIN_3A

/** @brief Symbol specifying slave's pin number for SCK. */
#define SCK_PIN_SLAVE LOOPBACK_PIN_3B

/** @brief Symbol specifying master's pin number for CS. */
#define SS_PIN_MASTER LOOPBACK_PIN_4A

/** @brief Symbol specifying slave's pin number for CS. */
#define CSN_PIN_SLAVE LOOPBACK_PIN_4B

/** @brief Symbol specifying the master's command. */
#define NORDIC_CMD "Nordic"

/** @brief Symbol specifying the slave's response to the @ref NORDIC_CMD command. */
#define NORDIC_RESP "Semi"

/** @brief Symbol specifying some unrecognized by the slave command to test slave's @ref ERROR_RESP response. */
#define UNKNOWN_CMD "Unknown"

/** @brief Symbol specifying the slave's response to some unknown command. */
#define ERROR_RESP "ERROR"

/** @brief Symbol specifying the master's command to uninitialize SPIS instance. */
#define UNINIT_CMD "Uninit"

extern int spi_init(void);